window.onload = function() {
    setTimeout(function() {
        var welcome = document.getElementById('welcome');
        welcome.style.opacity = '0';
        setTimeout(function() {
            welcome.style.display = 'none';
            document.getElementById('install-container').style.display = 'block';
        }, 1000);
    }, 2000);
};

document.getElementById('install-form').addEventListener('submit', function(event) {
    event.preventDefault();

    var form = event.target;
    var formData = new FormData(form);
    var xhr = new XMLHttpRequest();

    xhr.open('POST', 'index.php', true);
    xhr.onload = function () {
        if (xhr.status >= 200 && xhr.status < 400) {
            // Success!
            document.getElementById('message').textContent = 'Installation successful! Redirecting...';
            setTimeout(function() {
                window.location.href = 'fs-admin/index.php';
            }, 2000);
        } else {
            // Error
            document.getElementById('message').textContent = 'An error occurred during installation.';
        }
    };
    xhr.onerror = function () {
        // Connection error
        document.getElementById('message').textContent = 'A connection error occurred.';
    };

    xhr.send(formData);
});
