<?php
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $fileName = $_POST['fileName'];
    $fileType = $_POST['fileType'];
    $fileDirectory = $_POST['fileDirectory'];
    $fileContent = $_POST['fileContent'];

    // Convertir les chemins en UTF-8
    $fileName = mb_convert_encoding($fileName, 'UTF-8', 'auto');
    $fileType = mb_convert_encoding($fileType, 'UTF-8', 'auto');
    $fileDirectory = mb_convert_encoding($fileDirectory, 'UTF-8', 'auto');
    $fileContent = mb_convert_encoding($fileContent, 'UTF-8', 'auto');

    $fullPath = realpath($fileDirectory) . '/' . $fileName . '.' . $fileType;

    // Vérifiez les permissions du répertoire
    if (!is_writable(realpath($fileDirectory))) {
        echo json_encode(['success' => false, 'message' => 'Le répertoire n\'est pas accessible en écriture : ' . realpath($fileDirectory)]);
        exit;
    }

    // Afficher le chemin complet pour le débogage
    if (file_put_contents($fullPath, $fileContent) !== false) {
        echo json_encode(['success' => true]);
    } else {
        $error = error_get_last();
        echo json_encode(['success' => false, 'message' => 'Erreur lors de la création du fichier : ' . $error['message'], 'path' => $fullPath]);
    }
}
?>
