<?php
require_once 'includes/PDO.php';


$rootDir = realpath(__DIR__ . '/../..');  // Parent directory of fs-admin
$baseUrl =  (empty($_SERVER['HTTPS']) ? 'http' : 'https') . '://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['SCRIPT_NAME'], 2); // Base URL of the application
$filesAndFolders = [];
getFilesAndFolders($rootDir, $filesAndFolders);

?>
<h2><?php echo $rootDir ?></h2>
<a href="<?php echo$baseUrl; ?>" target="_blank"><i class="gg-eye-alt link-line"></i>&nbsp;Voir le site</a><br><br>
<div class="fs-na">
<a href="?v=new_folder" class="fs_nf card-classic"><i class="gg-folder-add"></i>&nbsp;<p>Nouveau dossier</p></a> <a href="?v=add_files" class="fs_nf card-classic"><i class="gg-file-add"></i>&nbsp;<p>Upload de fichiers</p></a>
</div>
<div class="file-explorer">
    <?php foreach ($filesAndFolders as $item): ?>
        <div class="file-item" style="margin-left: <?php echo $item['depth'] * 20; ?>px;">
            <?php if ($item['type'] == 'dir'): ?>
                <i class="gg-folder"></i>&nbsp;
                <span class="name"><?php echo basename($item['path']); ?></span>
            <?php else: ?>
                <i class="gg-file"></i>&nbsp;
                <span class="name"><?php echo basename($item['path']); ?></span>
                <span class="size">(<?php echo formatSizeUnits(filesize($item['path'])); ?>)</span>
            <?php endif; ?>
            <span class="actions"> <!-- Placeholder for future actions like modify, delete, etc. -->
              <?php
              if ($item['type'] != 'dir') { ?>
                <a class="actionfe card-classic" href="?v=edit_file&f=<?php echo urlencode($item['path']); ?>"><i class="gg-code"></i></a>
              <?php } ?>
              <a class="actionfe card-classic" href="<?php echo $baseUrl . str_replace($rootDir, '', $item['path']); ?>" target="_blank"><i class="gg-eye"></i></a>
              <a class="actionfe card-classic" href="?v=delete_file&f=<?php echo urlencode($item['path']); ?>&t=<?php echo $item['type']; ?>"><i class="gg-close"></i></a>
            </span>
        </div>
    <?php endforeach; ?>
</div>
