<?php
session_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once("includes/functions.php");
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FlowScope Admin</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Unbounded:wght@200..900&display=swap" rel="stylesheet">
    <link href="https://css.gg/css" rel="stylesheet" />
    <link rel="stylesheet" href="assets/style.css">
    <script src="assets/script.js" defer></script>
</head>
<body>

    <?php if (isset($_SESSION['admin'])){
        if(!isset($_GET["v"]))
        {
         require_once ('includes/main.php');
        }
        else {
          switch ($_GET["v"]) {
            case "create_file":
                require_once("includes/create_file.php");
                break;
            case "parameters":
                require_once("includes/parameters.php");
                break;
            case "edit_file":
                require_once("includes/edit_file.php");
                break;
            case "delete_file":
                require_once("includes/delete_file.php");
                break;
            case "new_folder":
                require_once("includes/new_folder.php");
                break;
            case "add_files":
                require_once("includes/add_files.php");
                break;

            }
        }
       }
     else{ ?>
        <div id="login-container"><?php require_once('includes/connect.php'); ?></div>
      <? } ?>

</body>
</html>
